NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::MasterCutBuilder Class Reference

Represents a master cut feature builder that creates, inquires, or edits a master cut feature associated with a Cut View. More...

Inheritance diagram for NXOpen::Features::MasterCutBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void CalcThroughLimits (NXOpen::Direction *direction, double *limit1, double *limit2)
 Calculate start and end through limit values
Created in NX4.0.0. More...
 
int CutColor ()
 Returns the cut face color
Created in NX4.0.0. More...
 
NXOpen::ModelingViewCutView ()
 Returns the cut view
Created in NX4.0.0. More...
 
NXOpen::Features::ExtrudeBuilderExtrude ()
 Returns the extrude builder
Created in NX5.0.0. More...
 
std::vector
< NXOpen::DisplayableObject * > 
GetTargetComponents ()
 The target components that are cut. More...
 
double HatchAngle ()
 Returns the hatch angle
Created in NX4.0.0. More...
 
double HatchDistance ()
 Returns the hatch distance
Created in NX4.0.0. More...
 
bool MaterialOutsideLoop ()
 Returns the flag whether or not the material is outside the loop used to create the extruded body
Created in NX4.0.0. More...
 
void RecalculateLimits ()
 Recalculates extrude limits to cut through target components
Created in NX5.0.0. More...
 
NXString SaveAsName ()
 Returns the cut save as name
Created in NX4.0.0. More...
 
void SetCutColor (int cutColor)
 Sets the cut face color
Created in NX4.0.0. More...
 
void SetCutView (NXOpen::ModelingView *cutView)
 Sets the cut view
Created in NX4.0.0. More...
 
void SetHatchAngle (double hatchAngle)
 Sets the hatch angle
Created in NX4.0.0. More...
 
void SetHatchDistance (double hatchDistance)
 Sets the hatch distance
Created in NX4.0.0. More...
 
void SetMaterialOutsideLoop (bool materialOutsideLoop)
 Sets the flag whether or not the material is outside the loop used to create the extruded body
Created in NX4.0.0. More...
 
void SetSaveAsName (const NXString &saveAsName)
 Sets the cut save as name
Created in NX4.0.0. More...
 
void SetSaveAsName (const char *saveAsName)
 Sets the cut save as name
Created in NX4.0.0. More...
 
void SetTargetComponents (const std::vector< NXOpen::NXObject * > &targetComponents)
 The target components that are cut
Created in NX4.0.0. More...
 
void SetToolBody (NXOpen::Body *toolBody)
 Sets the tool body used to perform the cut, which is an extruded body
Created in NX4.0.0. More...
 
void SetUseCutColor (bool useCutColor)
 Sets the flag whether or not to use the specified color for the cut faces
Created in NX4.0.0. More...
 
void SetUseCutHatch (bool useCutHatch)
 Sets the flag whether or not the cut faces are crosshatched in wireframe mode
Created in NX4.0.0. More...
 
void SetUseSaveAs (bool useSaveAs)
 Sets the flag whether or not to save the work view with a new name
Created in NX4.0.0. More...
 
NXOpen::SelectDisplayableObjectListTargetComponents ()
 Returns the target components that are cut
Created in NX5.0.0. More...
 
NXOpen::BodyToolBody ()
 Returns the tool body used to perform the cut, which is an extruded body
Created in NX4.0.0. More...
 
bool UseCutColor ()
 Returns the flag whether or not to use the specified color for the cut faces
Created in NX4.0.0. More...
 
bool UseCutHatch ()
 Returns the flag whether or not the cut faces are crosshatched in wireframe mode
Created in NX4.0.0. More...
 
bool UseSaveAs ()
 Returns the flag whether or not to save the work view with a new name
Created in NX4.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a master cut feature builder that creates, inquires, or edits a master cut feature associated with a Cut View.


This class provides methods to set and get the various master cut sub components.

The following are default options and values.


Cut View The work view

Tool Body Extrude feature tool body used to perform the cut. The user must set this

Target Components Components and/or solid bodies to cut. Unset unless the work part only contains one body

Material Outside Loop true, i.e., the material is outside the loop used to create the extrude body

Use Cut Hatch true, i.e., cut faces are crosshatched in static wireframe mode

Hatch Angle 45.0 degrees.

Hatch Distance 0.236/6.0 [in/mm]

Use Cut Color true, i.e., cut faces are colored in shaded mode

Cut Color Medium violet magenta

Use Save As true, i.e., save the cut view with a new name

Save As Name "SECTION OF work view name"

To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateMasterCutBuilder
Default values.

Property Value

CutColor

193

Extrude.SmartVolumeProfile.OpenProfileSmartVolumeOption

0

HatchAngle

45

HatchDistance

6.0 (millimeters part), 0.236 (inches part)

MaterialOutsideLoop

True

UseCutColor

True

UseCutHatch

True

UseSaveAs

True


Created in NX4.0.0.

Member Function Documentation

void NXOpen::Features::MasterCutBuilder::CalcThroughLimits ( NXOpen::Direction direction,
double *  limit1,
double *  limit2 
)

Calculate start and end through limit values
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
directionthe extrude direction
limit1start limit value
limit2end limit value
int NXOpen::Features::MasterCutBuilder::CutColor ( )

Returns the cut face color
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::ModelingView* NXOpen::Features::MasterCutBuilder::CutView ( )

Returns the cut view
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Features::ExtrudeBuilder* NXOpen::Features::MasterCutBuilder::Extrude ( )

Returns the extrude builder
Created in NX5.0.0.



License requirements : None

std::vector<NXOpen::DisplayableObject *> NXOpen::Features::MasterCutBuilder::GetTargetComponents ( )

The target components that are cut.

Returns
target components that are cut
Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
double NXOpen::Features::MasterCutBuilder::HatchAngle ( )

Returns the hatch angle
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

double NXOpen::Features::MasterCutBuilder::HatchDistance ( )

Returns the hatch distance
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

bool NXOpen::Features::MasterCutBuilder::MaterialOutsideLoop ( )

Returns the flag whether or not the material is outside the loop used to create the extruded body
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

void NXOpen::Features::MasterCutBuilder::RecalculateLimits ( )

Recalculates extrude limits to cut through target components
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXString NXOpen::Features::MasterCutBuilder::SaveAsName ( )

Returns the cut save as name
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

void NXOpen::Features::MasterCutBuilder::SetCutColor ( int  cutColor)

Sets the cut face color
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
cutColorcut face color
void NXOpen::Features::MasterCutBuilder::SetCutView ( NXOpen::ModelingView cutView)

Sets the cut view
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
cutViewcut view
void NXOpen::Features::MasterCutBuilder::SetHatchAngle ( double  hatchAngle)

Sets the hatch angle
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
hatchAnglehatch angle used when crosshatching the cut faces
void NXOpen::Features::MasterCutBuilder::SetHatchDistance ( double  hatchDistance)

Sets the hatch distance
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
hatchDistancehatch distance used when crosshatching the cut faces
void NXOpen::Features::MasterCutBuilder::SetMaterialOutsideLoop ( bool  materialOutsideLoop)

Sets the flag whether or not the material is outside the loop used to create the extruded body
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
materialOutsideLoopif true, the material is outside the loop used to create the extruded body
void NXOpen::Features::MasterCutBuilder::SetSaveAsName ( const NXString saveAsName)

Sets the cut save as name
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
saveAsNamecut save as name
void NXOpen::Features::MasterCutBuilder::SetSaveAsName ( const char *  saveAsName)

Sets the cut save as name
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
saveAsNamecut save as name
void NXOpen::Features::MasterCutBuilder::SetTargetComponents ( const std::vector< NXOpen::NXObject * > &  targetComponents)

The target components that are cut
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
targetComponentstarget components to be cut
void NXOpen::Features::MasterCutBuilder::SetToolBody ( NXOpen::Body toolBody)

Sets the tool body used to perform the cut, which is an extruded body
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
toolBodytool body used to perform the cut
void NXOpen::Features::MasterCutBuilder::SetUseCutColor ( bool  useCutColor)

Sets the flag whether or not to use the specified color for the cut faces
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
useCutColorif true, use the specified color for the cut faces
void NXOpen::Features::MasterCutBuilder::SetUseCutHatch ( bool  useCutHatch)

Sets the flag whether or not the cut faces are crosshatched in wireframe mode
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
useCutHatchif true, cut faces are crosshatched in wireframe mode
void NXOpen::Features::MasterCutBuilder::SetUseSaveAs ( bool  useSaveAs)

Sets the flag whether or not to save the work view with a new name
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
useSaveAsif true, save the work view with a new name
NXOpen::SelectDisplayableObjectList* NXOpen::Features::MasterCutBuilder::TargetComponents ( )

Returns the target components that are cut
Created in NX5.0.0.



License requirements : None

NXOpen::Body* NXOpen::Features::MasterCutBuilder::ToolBody ( )

Returns the tool body used to perform the cut, which is an extruded body
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

bool NXOpen::Features::MasterCutBuilder::UseCutColor ( )

Returns the flag whether or not to use the specified color for the cut faces
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

bool NXOpen::Features::MasterCutBuilder::UseCutHatch ( )

Returns the flag whether or not the cut faces are crosshatched in wireframe mode
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

bool NXOpen::Features::MasterCutBuilder::UseSaveAs ( )

Returns the flag whether or not to save the work view with a new name
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.